%define name glabels
%define version 2.0.3
%define release %mkrel 1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary:	Glabels is a GNOME program to create labels and business cards
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office

Source:		http://easynews.dl.sourceforge.net/sourceforge/glabels/%name-%version.tar.bz2

URL:		http://snaught.com/glabels/
Buildrequires:  libgnomeprintui-devel
BuildRequires:  libglade2.0-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %libname
Summary: Glabels is a GNOME program to create labels and business cards
Group: System/Libraries

%description -n %libname
Glabels is stand-alone program for creating labels and business cards
for GNOME. Libraries.

%package -n %libnamedev
Summary: Glabels devel files
Group: Development/Other
Requires: %libname = %version
Provides: libglabels-devel

%description -n %libnamedev
Glabels is stand-alone program for creating labels and business cards
for GNOME. Devel files.


%prep

%setup -q

%build

%configure2_5x
%make

%install
rm -fr %buildroot %name.lang

%makeinstall UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true

rm -rf $RPM_BUILD_ROOT/var

(cd $RPM_BUILD_ROOT
mkdir -p .%_menudir
cat > .%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/glabels"\
title="Glabels"\
longtitle="Create labels and business cards"\
needs="x11"\
section="Office/Accessories" \
icon="office_accessories_section.png"
EOF
)


%find_lang %name --with-gnome

%post
%update_menus
update-mime-database %_datadir/mime > /dev/null

%postun
%clean_menus
update-mime-database %_datadir/mime > /dev/null

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc README AUTHORS
%_bindir/*
%_datadir/%name
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_datadir/pixmaps/*
%_datadir/man/man1/*
%_menudir/*

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*.*a
%dir %_includedir/libglabels
%_includedir/libglabels/*

%changelog
* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-1mdk
- New release 2.0.3

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-5mdk
- fix installation
- spec fixes
- fix buildrequires

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-4mdk
- spec fixes
- remove generated files from %_datadir/mime/

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-3mdk
- Another BuildRequires

* Tue Aug 17 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-2mdk
- Fix BuildRequires

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-1mdk
- 2.0.1

* Wed Aug 11 2004 Jerome Soyer <saispo@mandrake.org> 2.0.0-1mdk
- 2.0.0

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.3-1mdk
- 1.93.3

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-3mdk
- buildrequires

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-2mdk
- rebuild

* Thu Sep 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.0-2mdk
- Fix menu entry (icon)

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Dec 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Tue Dec 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Mon Nov 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- submitted by Jim Evins <evins@snaught.com> :
	- Created

